Bug 7697 - [UPDATE REQUEST] dshort
: [UPDATE REQUEST] dshort
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-02-06 10:10 MSK by m.voznesensky
Modified: 2017-03-20 12:02 MSK (History)
2 users (show)

See Also:
RPM Package: dshort-1.0.2-3.src.rpm
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrey.bondrov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description m.voznesensky 2017-02-06 10:10:57 MSK
Advisory:

DShort program set key combination for running applications by default and ability quickly show list key shortcuts.
Only KDE4

Hold 'Meta' and display list key shortcuts

rosa2014.1:
i586: https://abf.rosalinux.ru/build_lists/2805495
x86_64: https://abf.rosalinux.ru/build_lists/2805496

rosa2016.1:
i586: https://abf.rosalinux.ru/build_lists/2805493
x86_64: https://abf.rosalinux.ru/build_lists/2805494
Comment 1 Vladimir Potapov 2017-02-06 19:33:42 MSK
Крутая и очень нужная вещь.
недочеты
1) Ctrl+alt+del у меня не работает. 
2) Добавить бы Ctrl+alt+BS "Быстрая перезагрузка графической подсистемы"
3) Поставил - работает. Залочил, зашел в другой сеанс - а там не вызывается!
4) "Lock session" не переведено
Comment 2 Vladimir Potapov 2017-02-06 19:36:12 MSK
Не "Приостановить композитное расширение" (непонятно!) а "Выключить эффекты"
Comment 3 m.voznesensky 2017-02-08 16:42:42 MSK
Advisory:

Fix bug: start program in many session at the same time

rosa2014.1:
i586: https://abf.io/build_lists/2826641
x86_64: https://abf.io/build_lists/2826642

rosa2016.1:
i586: https://abf.io/build_lists/2826643
x86_64: https://abf.io/build_lists/2826644
Comment 4 Vladimir Potapov 2017-02-08 18:55:36 MSK
1) Сделать отдельный файл с настройками глобальных клавиш для Росы и сделать его дефолтным - очень хорошая идея.
Сейчас в нем нету win+M (минимизация всех окон), не работает alt+F2 (облом!)
ну и alt+пробел не очень хорошая идея, это сочетание занято, например, в mc. 
Новые лучше придумвывать только с meta. (запуск лучше как в винде, win+r)
Meta-right и meta+left без подсказок. 
2) Круто и правильно бы было сделать чтоб после установки сразу запускалось, без перезагрузки.
Comment 5 Vladimir Potapov 2017-02-08 18:57:15 MSK
Много где принято ctrl+alt+T запуск терминала. Обязательно нужно бы нам добавить.
Comment 6 m.voznesensky 2017-02-15 15:14:10 MSK
Advisory:

Fix bug: now list shortcut updating befo the show Dash Shortcut
Add config file for KDE Global Shortcut

rosa2014.1:
i586: https://abf.io/build_lists/2828304
x86_64: https://abf.io/build_lists/2828305

rosa2016.1:
i586: https://abf.io/build_lists/2828300
x86_64: https://abf.io/build_lists/2828301
Comment 7 Vladimir Potapov 2017-02-27 12:01:03 MSK
The update is sent to expanded testing
***************************************
Comment 8 m.voznesensky 2017-03-17 12:57:48 MSK
Advisory:

Update building the package

rosa2016.1:
i586: https://abf.io/build_lists/2856580
x86_64: https://abf.io/build_lists/2856581
Comment 9 Vladimir Potapov 2017-03-20 11:52:30 MSK
dshort-1.0.4-2
https://abf.io/build_lists/2828304
https://abf.io/build_lists/2828305

dshort-1.0.4-2
https://abf.io/build_lists/2856580
https://abf.io/build_lists/2856581
********************* Advisory **************************
DShort program set key combination for running applications by default and ability quickly show list key shortcuts.
Only KDE4

Hold 'Meta' and display list key shortcuts
*********************************************************
QA Verified